For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check if WordPress installations are valid

Check whether one or more WordPress installations are valid and working correctly.

Check if WordPress installations are valid

post

Check whether one or more WordPress installations are valid and working correctly. Detects broken installations caused by missing files, broken plugins, themes and similar issues.

Provide the WordPress installation (software) identifiers in the body. They can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
Body
software_idsstring[] · min: 1 · max: 100Required

WordPress installation (software) identifiers to validate.

Example: ["123","456"]
forcebooleanOptional

Force fresh validation without cache. Preferable for troubleshooting purposes.

Default: falseExample: false
Responses
200

Success response

application/json
software_idstringOptional

WordPress installation (software) identifier

Example: 123
is_validbooleanOptional

Whether the WordPress installation is valid and working correctly

Example: true
post/api/hosting/v1/accounts/{username}/wordpress/installations/check-is-valid
POST /api/hosting/v1/accounts/{username}/wordpress/installations/check-is-valid HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "software_ids": [
    "123",
    "456"
  ],
  "force": false
}
[
  {
    "software_id": "123",
    "is_valid": true
  }
]

Last updated

Was this helpful?